Fix Wizard

Bug #794985 reported by Philipp C. Heckel
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Syncany
In Progress
High
Unassigned

Bug Description

The wizard has a horrible design. In the end, I just wanted to get it working, and it sort of does, but sometimes, the back-button breaks or makes no sense. The main task would be to look over the existing code, and make the wizard stable.

This particularly includes:
- Check if the "Next"/"Back"/"Cancel" buttons
- Make the "confirm password" field work.
- Don't allow users to click "Next" if the current panel hasn't been filled out correctly.
- ...

Changed in syncany:
importance: Undecided → Medium
tags: added: make-it-stable
Changed in syncany:
status: New → Confirmed
milestone: none → alpha
Revision history for this message
Philipp C. Heckel (binwiederhier) wrote : Re: [Bug 794985] Re: Fix Wizard

Looks nice JB. I looked at the FTP panel and it's very nicely done :)
Do you think it's ready to be merged? Or are you still working on it?

Cheers,
Philipp

On Sat, Jun 11, 2011 at 5:33 AM, JB Van Puyvelde
<email address hidden> wrote:
> ** Branch linked: lp:~jbvanpuyvelde/syncany/fix-wizard
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/794985
>
> Title:
>  Fix Wizard
>
> Status in Syncany:
>  Confirmed
>
> Bug description:
>  The wizard has a horrible design. In the end, I just wanted to get it
>  working, and it sort of does, but sometimes, the back-button breaks or
>  makes no sense. The main task would be to look over the existing code,
>  and make the wizard stable.
>
>  This particularly includes:
>  - Check if the "Next"/"Back"/"Cancel" buttons
>  - Make the "confirm password" field work.
>  - Don't allow users to click "Next" if the current panel hasn't been filled out correctly.
>  - ...
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/syncany/+bug/794985/+subscriptions
>

--
H3 11, 68159 Mannheim, Germany
Landline: +49-621-98181881 / Cell phone: +49-173-7865012 (o2 network)
Public Key: 0xBD5E122F at pgp.mit.edu

Revision history for this message
JB Van Puyvelde (jbvanpuyvelde-deactivatedaccount) wrote :

Hi, work is still needed on this part.
I will contact you after a little more effort to discuss about merging.

Hope I'm gonna have some spare time soon to work on this :-)

Revision history for this message
Philipp C. Heckel (binwiederhier) wrote : Re: [Bug 794985] [NEW] Fix Wizard

Sounds good :-)

On 18/06/2011, JB Van Puyvelde <email address hidden> wrote:
> Hi, work is still needed on this part.
> I will contact you after a little more effort to discuss about merging.
>
> Hope I'm gonna have some spare time soon to work on this :-)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/794985
>
> Title:
> Fix Wizard
>
> Status in Syncany:
> Confirmed
>
> Bug description:
> The wizard has a horrible design. In the end, I just wanted to get it
> working, and it sort of does, but sometimes, the back-button breaks or
> makes no sense. The main task would be to look over the existing code,
> and make the wizard stable.
>
> This particularly includes:
> - Check if the "Next"/"Back"/"Cancel" buttons
> - Make the "confirm password" field work.
> - Don't allow users to click "Next" if the current panel hasn't been
> filled out correctly.
> - ...
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/syncany/+bug/794985/+subscriptions
>

--
H3 11, 68159 Mannheim, Germany
Landline: +49-621-98181881 / Cell phone: +49-173-7865012 (o2 network)
Public Key: 0xBD5E122F at pgp.mit.edu

Revision history for this message
Philipp C. Heckel (binwiederhier) wrote :

Hey JB,

Just reviewed the code and it looks really nice. I'd like to merge it
in my newsync branch, but I noticed that some of the panels reset the
language stuff, i.e. they remove the resourceBundle.getString(..)
calls. Could you fix that? You can do that in Netbeans by replacing
the text property with user code.

Cheers,
Philipp

On Sat, Jun 18, 2011 at 9:59 AM, Philipp Heckel
<email address hidden> wrote:
> Sounds good :-)
>
> On 18/06/2011, JB Van Puyvelde <email address hidden> wrote:
>> Hi, work is still needed on this part.
>> I will contact you after a little more effort to discuss about merging.
>>
>> Hope I'm gonna have some spare time soon to work on this :-)
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/794985
>>
>> Title:
>>   Fix Wizard
>>
>> Status in Syncany:
>>   Confirmed
>>
>> Bug description:
>>   The wizard has a horrible design. In the end, I just wanted to get it
>>   working, and it sort of does, but sometimes, the back-button breaks or
>>   makes no sense. The main task would be to look over the existing code,
>>   and make the wizard stable.
>>
>>   This particularly includes:
>>   - Check if the "Next"/"Back"/"Cancel" buttons
>>   - Make the "confirm password" field work.
>>   - Don't allow users to click "Next" if the current panel hasn't been
>> filled out correctly.
>>   - ...
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/syncany/+bug/794985/+subscriptions
>>
>

Changed in syncany:
assignee: nobody → JB Van Puyvelde (jbvanpuyvelde)
importance: Medium → High
Revision history for this message
Philipp C. Heckel (binwiederhier) wrote :

Hey JB,

did you have the time to do the changes? I'd like to merge the code in the "newsync" branch.

Cheers,
Philipp

Revision history for this message
Philipp C. Heckel (binwiederhier) wrote : Re: [Bug 794985] Re: Fix Wizard

HI JB,

Did you make any code changes? Or just the structure? I'm currently
manually merging everything in the newsync branch -- actually doing a
merge didn't work, because the structure changed entirely...

Cheers,
Philipp

On Mon, Jun 27, 2011 at 9:37 PM, Philipp C. Heckel
<email address hidden> wrote:
> Hey JB,
>
> did you have the time to do the changes? I'd like to merge the code in
> the "newsync" branch.
>
> Cheers,
> Philipp
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/794985
>
> Title:
>  Fix Wizard
>
> Status in Syncany:
>  Confirmed
>
> Bug description:
>  The wizard has a horrible design. In the end, I just wanted to get it
>  working, and it sort of does, but sometimes, the back-button breaks or
>  makes no sense. The main task would be to look over the existing code,
>  and make the wizard stable.
>
>  This particularly includes:
>  - Check if the "Next"/"Back"/"Cancel" buttons
>  - Make the "confirm password" field work.
>  - Don't allow users to click "Next" if the current panel hasn't been filled out correctly.
>  - ...
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/syncany/+bug/794985/+subscriptions
>

Revision history for this message
JB Van Puyvelde (jbvanpuyvelde-deactivatedaccount) wrote :

Hi Philipp,

like you asked me, I'm gonna continue to work on this bug on a branch merged with your newsync one :
lp:~jbvanpuyvelde/syncany/newsync-fixwizard

Good luck,
JB

Changed in syncany:
status: Confirmed → In Progress
Revision history for this message
Philipp C. Heckel (binwiederhier) wrote :

Okay I merged it in the newsync branch. I'll upload it soon.
Any particular reason why you removd the localization stuff, or was that
accidentally? I realize that it does not work properly at the moment.

On Thu, Jul 14, 2011 at 6:32 PM, JB Van Puyvelde
<email address hidden>wrote:

> Hi Philipp,
>
> like you asked me, I'm gonna continue to work on this bug on a branch
> merged with your newsync one :
> lp:~jbvanpuyvelde/syncany/newsync-fixwizard
>
> Good luck,
> JB
>
>
> ** Changed in: syncany
> Status: Confirmed => In Progress
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/794985
>
> Title:
> Fix Wizard
>
> Status in Syncany:
> In Progress
>
> Bug description:
> The wizard has a horrible design. In the end, I just wanted to get it
> working, and it sort of does, but sometimes, the back-button breaks or
> makes no sense. The main task would be to look over the existing code,
> and make the wizard stable.
>
> This particularly includes:
> - Check if the "Next"/"Back"/"Cancel" buttons
> - Make the "confirm password" field work.
> - Don't allow users to click "Next" if the current panel hasn't been
> filled out correctly.
> - ...
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/syncany/+bug/794985/+subscriptions
>

Revision history for this message
JB Van Puyvelde (jbvanpuyvelde-deactivatedaccount) wrote :

Yes, sorry but I got little problems with the localization stuff.

For instance, on the SettingsDialog, I wanted to add a button to create a new profile (instead of a line in the settings tree). But when I have done that, the label of all the other buttons disappeared (and only at runtime, it worked well in the netbeans preview mode of the window).

The only solution I found was to not use the RessourceBundle.

Maybe I've just not well understood how it works. Any idea ? I'll fix it if someone give me the proper way to do it.

Revision history for this message
Philipp C. Heckel (binwiederhier) wrote :

I had the same problem (with the empty buttons). I figured out that if I
used the regular actionPerformed()-stuff instead of netbeans @Action, the
buttons would stay the same.
you can add custom code in the button/label text field with netbeans (in
this case, the resource bundle stuff).

however, the resource bundle stuff currently still uses the old *.properties
files, instead of the *.po files. that has to be fixed someday too.

On Wed, Jul 20, 2011 at 2:37 PM, JB Van Puyvelde
<email address hidden>wrote:

> Yes, sorry but I got little problems with the localization stuff.
>
> For instance, on the SettingsDialog, I wanted to add a button to create
> a new profile (instead of a line in the settings tree). But when I have
> done that, the label of all the other buttons disappeared (and only at
> runtime, it worked well in the netbeans preview mode of the window).
>
> The only solution I found was to not use the RessourceBundle.
>
> Maybe I've just not well understood how it works. Any idea ? I'll fix it
> if someone give me the proper way to do it.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/794985
>
> Title:
> Fix Wizard
>
> Status in Syncany:
> In Progress
>
> Bug description:
> The wizard has a horrible design. In the end, I just wanted to get it
> working, and it sort of does, but sometimes, the back-button breaks or
> makes no sense. The main task would be to look over the existing code,
> and make the wizard stable.
>
> This particularly includes:
> - Check if the "Next"/"Back"/"Cancel" buttons
> - Make the "confirm password" field work.
> - Don't allow users to click "Next" if the current panel hasn't been
> filled out correctly.
> - ...
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/syncany/+bug/794985/+subscriptions
>

Revision history for this message
Philipp C. Heckel (binwiederhier) wrote :

Hey JB,

when you have the time: for the* first time wizard*, we need an extra panel
that asks the user for the username, and more importantly, the *computer
name*. Because when people try Syncany and launch two instances, they wonder
why it doesn't synchronize. We have to make sure that people understand that
they have to choose a distinct computer name for each instance.

What do you think about this?

Cheers,
Philipp

On Wed, Jul 20, 2011 at 3:06 PM, Philipp Heckel <email address hidden>wrote:

> I had the same problem (with the empty buttons). I figured out that if I
> used the regular actionPerformed()-stuff instead of netbeans @Action, the
> buttons would stay the same.
> you can add custom code in the button/label text field with netbeans (in
> this case, the resource bundle stuff).
>
> however, the resource bundle stuff currently still uses the old
> *.properties files, instead of the *.po files. that has to be fixed someday
> too.
>
>
> On Wed, Jul 20, 2011 at 2:37 PM, JB Van Puyvelde <
> <email address hidden>> wrote:
>
>> Yes, sorry but I got little problems with the localization stuff.
>>
>> For instance, on the SettingsDialog, I wanted to add a button to create
>> a new profile (instead of a line in the settings tree). But when I have
>> done that, the label of all the other buttons disappeared (and only at
>> runtime, it worked well in the netbeans preview mode of the window).
>>
>> The only solution I found was to not use the RessourceBundle.
>>
>> Maybe I've just not well understood how it works. Any idea ? I'll fix it
>> if someone give me the proper way to do it.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/794985
>>
>> Title:
>> Fix Wizard
>>
>> Status in Syncany:
>> In Progress
>>
>> Bug description:
>> The wizard has a horrible design. In the end, I just wanted to get it
>> working, and it sort of does, but sometimes, the back-button breaks or
>> makes no sense. The main task would be to look over the existing code,
>> and make the wizard stable.
>>
>> This particularly includes:
>> - Check if the "Next"/"Back"/"Cancel" buttons
>> - Make the "confirm password" field work.
>> - Don't allow users to click "Next" if the current panel hasn't been
>> filled out correctly.
>> - ...
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/syncany/+bug/794985/+subscriptions
>>
>
>
>
>

Revision history for this message
JB Van Puyvelde (jbvanpuyvelde-deactivatedaccount) wrote :

Good idea. I will make this addition soon as possible.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers